POST /Command/CreateTask
Create a task and assign to a user.
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Task Name |
|
Required |
The task name. |
|
Task Type |
|
Required |
Ad Hoc Task Type |
|
Task Description |
|
Required |
The task description. |
|
Assignee |
|
Required |
The user who is assigned to the task. |
|
Due Date |
|
Required |
Due date of the task. |
|
Required |
|
Required |
Assigned user must complete this task to close the incident. |
|
Incident Number |
|
Required |
The Incident number of the create task |
READER NOTE
For Date/Time parameter Due Date, all times and timestamps must follow the format: yyyy-mm-dd HH:mm:ss.
-
e.g. May 15, 2024, 2:32 PM should be written as 2024-05-15 14:32:00.